Home | All Classes | Grouped Classes | Index | Search

# CL_Texture::set_image

Upload image to texture.

    	void set_image(
    		CL_PixelBuffer& image, int level = 0, int border = 0, int format = 0);

Parameters:

image
  Image to upload.
level
  Mipmap level-of-detail number.
border
  Border width of texture.
format
  Internal texture format of texture.

See also:

CL_PixelBuffer | CL_Texture

Questions or comments, write to the ClanLib mailing list.